=== debian/control ===
Source: rlottie
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
Build-Depends: debhelper-compat (= 12)
Build-Depends-Arch:
 cmake (>= 3.3),
 libgtest-dev (>= 1.8.0-9) <!nocheck>,
 libstb-dev,
 rapidjson-dev (>= 1.1.0),
Standards-Version: 4.4.0
Rules-Requires-Root: no
Homepage: https://github.com/Samsung/rlottie
Vcs-Git: https://salsa.debian.org/debian/rlottie.git
Vcs-Browser: https://salsa.debian.org/debian/rlottie

Package: librlottie0-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for rendering vector based animations and art
 Lottie loads and renders animations and vectors exported in the bodymovin JSON
 format. Bodymovin JSON can be created and exported from After Effects with
 bodymovin, Sketch with Lottie Sketch Export, and from Haiku.
 .
 For the first time, designers can create and ship beautiful animations without
 an engineer painstakingly recreating it by hand. Since the animation is backed
 by JSON they are extremely small in size but can be large in complexity.

Package: librlottie-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librlottie0-1 (=${binary:Version}), ${misc:Depends}
Description: library for rendering vector based animations and art (development headers)
 Lottie loads and renders animations and vectors exported in the bodymovin JSON
 format. Bodymovin JSON can be created and exported from After Effects with
 bodymovin, Sketch with Lottie Sketch Export, and from Haiku.
 .
 For the first time, designers can create and ship beautiful animations without
 an engineer painstakingly recreating it by hand. Since the animation is backed
 by JSON they are extremely small in size but can be large in complexity.
 .
 This package provides public C/C++ headers.
