=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
EXTRA_CMAKE_VARIABLES += \
	LOTTIE_CACHE=OFF \
	CMAKE_SKIP_INSTALL_ALL_DEPENDENCY=ON \
	LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

ifeq ($(filter nocheck, $(DEB_BUILD_OPTIONS)),)
 EXTRA_CMAKE_VARIABLES += LOTTIE_TEST=ON
endif

export DEB_LDFLAGS_MAINT_APPEND = \
	-Wl,--version-script=$(CURDIR)/debian/rlottie.map
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CMAKE_VARIABLES:%=-D%)

# Do not collect exported symbols from the private plugin.
override_dh_makeshlibs:
	dh_makeshlibs -X image-loader.so

override_dh_strip:
	dh_strip --no-automatic-dbgsym
