## rlottie 0~git20190721.24346d0+dfsg

=== debian/changelog ===
rlottie (0~git20190721.24346d0+dfsg-2~bpo10+2) buster-backports; urgency=medium

  * Rebuild against libstdc++6 8 (previous build seems to be broken)

 -- Andreas Tille <tille@debian.org>  Thu, 28 Nov 2019 20:00:18 +0100

rlottie (0~git20190721.24346d0+dfsg-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * d/control: Drop "Rules-Requires-Root: no"

 -- Andreas Tille <tille@debian.org>  Fri, 11 Oct 2019 08:22:28 +0200
