=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: rlottie
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
+Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
 Build-Depends: debhelper-compat (= 12)
 Build-Depends-Arch:
  cmake (>= 3.3),
@@ -10,7 +9,6 @@
  libstb-dev,
  rapidjson-dev (>= 1.1.0),
 Standards-Version: 4.4.0
-Rules-Requires-Root: no
 Homepage: https://github.com/Samsung/rlottie
 Vcs-Git: https://salsa.debian.org/debian/rlottie.git
 Vcs-Browser: https://salsa.debian.org/debian/rlottie
