=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
EXTRA_CMAKE_VARIABLES += \
	CMAKE_SKIP_INSTALL_ALL_DEPENDENCY=ON \
	LOTTIE_MODULE_PATH=/usr/lib/$(DEB_HOST_MULTIARCH)/rlottie/image-loader.so \
	LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

ifeq ($(filter nocheck, $(DEB_BUILD_OPTIONS)),)
 EXTRA_CMAKE_VARIABLES += LOTTIE_TEST=ON
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CMAKE_VARIABLES:%=-D%)

# Do not collect exported symbols from the private plugin.
override_dh_makeshlibs:
	dh_makeshlibs -X image-loader.so

override_dh_strip:
	dh_strip --no-automatic-dbgsym
