## rlottie 0~git20200305.a717479+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,18 @@
 #declare project
 project( rlottie VERSION 0.0.1 LANGUAGES C CXX ASM)
 
-add_definitions(-DLOT_BUILD)
+if (NOT CMAKE_BUILD_TYPE)
+    set(CMAKE_BUILD_TYPE MinSizeRel)
+endif()
+
+if (NOT DEFINED BUILD_SHARED_LIBS)
+    # Keep the previous behavior of the build system, consistent with Meson.
+    set(BUILD_SHARED_LIBS ON)
+endif()
 
 #declare target
-add_library( rlottie SHARED  "" )
+add_library( rlottie )
+set_target_properties( rlottie PROPERTIES DEFINE_SYMBOL LOT_BUILD )
 
 #declare version of the target
 set(player_version_major 0)
@@ -25,8 +33,13 @@
 option(LOTTIE_THREAD "Enable LOTTIE THREAD SUPPORT" ON)
 option(LOTTIE_CACHE "Enable LOTTIE CACHE SUPPORT" ON)
 option(LOTTIE_TEST "Build LOTTIE AUTOTESTS" OFF)
+option(LOTTIE_CCACHE "Enable LOTTIE ccache SUPPORT" OFF)
+option(LOTTIE_ASAN "Compile with asan" OFF)
 
-CONFIGURE_FILE(${CMAKE_CURRENT_LIST_DIR}/cmake/config.h.in config.h)
+set(LOTTIE_MODULE_PATH "${CMAKE_SHARED_LIBRARY_PREFIX}rlottie-image-loader${CMAKE_SHARED_LIBRARY_SUFFIX}"
+    CACHE STRING "Absolute or relative path to dynamic loader plugin.")
+
+configure_file(${CMAKE_CURRENT_LIST_DIR}/cmake/config.h.in config.h)
 
 target_include_directories(rlottie
     PRIVATE
@@ -38,7 +51,6 @@
                     PUBLIC
                     PRIVATE
                         -std=c++14
-                        -Os
                         -fno-exceptions
                         -fno-unwind-tables
                         -fno-asynchronous-unwind-tables
@@ -61,23 +73,47 @@
                         "${CMAKE_THREAD_LIBS_INIT}"
                      )
 
-# for dlopen, dlsym and dlclose dependancy
-target_link_libraries(rlottie
-                    PRIVATE
-                    ${CMAKE_DL_LIBS})
-
-if(APPLE)
+if (NOT APPLE AND NOT WIN32)
     target_link_libraries(rlottie
-                        PUBLIC
-                             "-Wl, -undefined error"
-                          )
-else()
-    target_link_libraries(rlottie
-                        PUBLIC
-                             "-Wl,--no-undefined"
+                        PRIVATE
+                            "-Wl,--version-script=${CMAKE_SOURCE_DIR}/rlottie.expmap"
                           )
 endif()
 
+if (LOTTIE_MODULE)
+    # for dlopen, dlsym and dlclose dependancy
+    target_link_libraries(rlottie PRIVATE ${CMAKE_DL_LIBS})
+endif()
+
+if (NOT LOTTIE_ASAN)
+    if(APPLE)
+        target_link_libraries(rlottie
+                            PUBLIC
+                                 "-Wl, -undefined error"
+                              )
+    else()
+        target_link_libraries(rlottie
+                            PUBLIC
+                                 "-Wl,--no-undefined"
+                              )
+    endif()
+endif()
+
+if (LOTTIE_CCACHE)
+    find_program(CCACHE_FOUND ccache)
+    if (CCACHE_FOUND)
+        message(STATUS "Found ccache")
+        set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
+        set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
+    else()
+        message(STATUS "Could NOT find ccache (this is NOT an error)")
+    endif()
+endif()
+
+if (LOTTIE_ASAN)
+    target_compile_options(rlottie PUBLIC -fsanitize=address)
+    target_link_options(rlottie PUBLIC  -fsanitize=address)
+endif()
 
 if (NOT LIB_INSTALL_DIR)
     set (LIB_INSTALL_DIR "/usr/lib")
