=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,3 @@
 # Do not collect exported symbols from the private plugin.
 override_dh_makeshlibs:
 	dh_makeshlibs -X image-loader.so
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
