=== debian/watch ===
version=4
opts="\
    mode=git, \
    pretty=0~git%cd.%h, \
    repacksuffix=+dfsg, \
    dversionmangle=s/\+dfsg$//" \
https://github.com/Samsung/rlottie heads/master
