=== src/CMakeLists.txt ===

add_subdirectory(vector)

add_subdirectory(lottie)

add_subdirectory(binding)
