=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,18 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
+# Silence assert failures in LottieParser that may be raised due to unexpected
+# input data. See Telegram build scripts: https://github.com/desktop-app/cmake_helpers/blob/ac193a597d6b953f9869a240e21e275ce6e388cb/external/rlottie/CMakeLists.txt#L116
+export DEB_CPPFLAGS_MAINT_APPEND = -DRAPIDJSON_ASSERT=\(void\)
+
+#Avoid using compiler level 3 optimization on ppc64el architectures; use level 2 instead. Level 3 can lead to build errors regarding memory alignment requirements after GCC5.
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+  export DEB_CFLAGS_MAINT_STRIP = -O3
+  export DEB_CFLAGS_MAINT_APPEND = -O2
+  export DEB_CPPFLAGS_MAINT_STRIP := -O3
+  DEB_CPPFLAGS_MAINT_APPEND += -O2
+endif
+
 %:
 	dh $@
