=== debian/watch ===
version=4
opts="repacksuffix=+dfsg, dversionmangle=s/\+dfsg$//" \
  https://github.com/Samsung/rlottie/releases/latest (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
