=== rlottie/src/lottie/zip/CMakeLists.txt ===
target_sources(rlottie
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/zip.cpp"
    )

target_include_directories(rlottie
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}"
    )
